Index: test/src/org/ametys/runtime/test/util/I18nTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/util/I18nTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/util/I18nTestCase.java	(working copy)
@@ -38,10 +38,9 @@
     @Override
     protected void setUp() throws Exception
     {
+        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp2");
         super.setUp();
         
-        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp2");
-        
         ServiceManager manager = Init.getPluginServiceManager();
         _i18nUtils = (I18nUtils) manager.lookup(I18nUtils.ROLE);
     }
Index: test/src/org/ametys/runtime/test/util/JSONTestCase.java
===================================================================
--- test/src/org/ametys/runtime/test/util/JSONTestCase.java	(revision 38980)
+++ test/src/org/ametys/runtime/test/util/JSONTestCase.java	(working copy)
@@ -40,10 +40,9 @@
     @Override
     protected void setUp() throws Exception
     {
+        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", null, null, "test/environments/webapp2");
         super.setUp();
         
-        _startApplication("test/environments/runtimes/runtime01.xml", "test/environments/configs/config1.xml", "test/environments/webapp2");
-        
         ServiceManager manager = Init.getPluginServiceManager();
         _jsonUtils = (JSONUtils) manager.lookup(JSONUtils.ROLE);
         _desktopManager = (DesktopManager) manager.lookup("DesktopManagerTest");
Index: test-env/src/org/ametys/runtime/test/AbstractRuntimeTestCase.java
===================================================================
--- test-env/src/org/ametys/runtime/test/AbstractRuntimeTestCase.java	(revision 38980)
+++ test-env/src/org/ametys/runtime/test/AbstractRuntimeTestCase.java	(working copy)
@@ -25,19 +25,21 @@
 import javax.xml.validation.Schema;
 import javax.xml.validation.SchemaFactory;
 
-import junit.framework.TestCase;
-
 import org.apache.avalon.framework.configuration.Configuration;
 import org.apache.avalon.framework.configuration.DefaultConfigurationBuilder;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 import org.xml.sax.XMLReader;
 
+import org.ametys.core.datasource.ldap.LDAPDataSourceManager;
+import org.ametys.core.datasource.sql.SQLDataSourceManager;
 import org.ametys.runtime.config.Config;
 import org.ametys.runtime.data.AmetysHomeLock;
 import org.ametys.runtime.data.AmetysHomeLockException;
 import org.ametys.runtime.servlet.RuntimeConfig;
 
+import junit.framework.TestCase;
+
 /**
  * Abstract test case for all Runtime test cases.
  */
@@ -45,6 +47,12 @@
 {
     /** Ametys home directory path relative to the context path of the test environment. **/
     public static final String AMETYS_HOME_DIR = "/WEB-INF/data";
+
+    /** Default SQL datasource file */
+    private static String __DEFAULT_SQL_DATASOURCE_FILE = "test/environments/configs/datasource-sql.xml";
+    
+    /** Default LDAP datasource file */
+    private static String __DEFAULT_LDAP_DATASOURCE_FILE = "test/environments/configs/datasource-ldap.xml"; 
     
     /** The cocoon wrapper. */
     protected CocoonWrapper _cocoon;
@@ -189,14 +197,21 @@
      * Starts the application. This a shorthand to _configureRuntime, then _startCocoon.
      * @param runtimeFile the name of the runtime file used
      * @param configFile the name of the config file
+     * @param sqlDataSourceFile the path of the sql data sources configuration file, can be null to use the default file
+     * @param ldapDataSourceFile the path of the ldap data sources configuration file, can be null to use the default file
      * @param contextPath the environment application
      * @return the CocoonWrapper used to process URIs
-     * @throws Exception if an error occured
+     * @throws Exception if an error occurred
      */
-    protected CocoonWrapper _startApplication(String runtimeFile, String configFile, String contextPath) throws Exception
+    protected CocoonWrapper _startApplication(String runtimeFile, String configFile, String sqlDataSourceFile, String ldapDataSourceFile, String contextPath) throws Exception
     {
         _configureRuntime(runtimeFile, contextPath);
+        
         Config.setFilename(configFile);
+        
+        SQLDataSourceManager.setFilename(sqlDataSourceFile != null  ? sqlDataSourceFile : __DEFAULT_SQL_DATASOURCE_FILE);
+        LDAPDataSourceManager.setFilename(ldapDataSourceFile != null ? ldapDataSourceFile : __DEFAULT_LDAP_DATASOURCE_FILE);
+        
         return _startCocoon(contextPath);
     }
 }
Index: test-env/src/org/ametys/runtime/test/ScriptRunner.java
===================================================================
--- test-env/src/org/ametys/runtime/test/ScriptRunner.java	(revision 38980)
+++ test-env/src/org/ametys/runtime/test/ScriptRunner.java	(working copy)
@@ -28,6 +28,7 @@
 import org.slf4j.LoggerFactory;
 
 import org.ametys.core.datasource.ConnectionHelper;
+import org.ametys.runtime.config.Config;
 
 /**
  * Tool to run SQL scripts.<p>
@@ -75,17 +76,11 @@
      */
     public static void runScript(InputStream is) throws IOException, SQLException
     {
-        Connection connection = null;
-        
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);
             runScript(connection, is);
         }
-        finally
-        {
-            ConnectionHelper.cleanup(connection);
-        }
     }
 
     /**
